---
- name: Ensure that the role declares all parameters in defaults
  hosts: all
  tasks:
    - name: Include the timesync role
      include_role:
        name: fedora.linux_system_roles.timesync
        public: true

    - name: Check that public vars are defined
      assert:
        that: vars[item] is defined
      loop:
        - timesync_ntp_servers
        - timesync_ptp_domains
        - timesync_dhcp_ntp_servers
        - timesync_step_threshold
        - timesync_min_sources
        - timesync_ntp_hwts_interfaces
        - timesync_ntp_provider
        - timesync_max_distance
        - timesync_ntp_ip_family
